PatternFactory (BioJava-1.5-beta API)
Keywords: org.biojava.utils.regex.PatternFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.regex
Class PatternFactory

    java.lang.Object
      org.biojava.utils.regex.PatternFactory

    public class PatternFactory

extends Object

A class that creates Patterns for regex matching on SymbolLists of a specific Alphabet.

Since:
  1.4
Author:
  David Huen

Method Summary
`char` | `charValue(Symbol sym)` Returns the character that represents the specified Symbol in the Alphabet that this PatternFactory was defined for.
`Pattern` | `compile(String pattern)` Returns a Pattern object that applies the specified regex against SymbolLists in the Alphabet that this PatternFactory was defined against.
`Pattern` | `compile(String pattern, String label)` Returns a Pattern object that applies the specified regex against SymbolLists in the Alphabet that this PatternFactory was defined against.
`static PatternFactory` | `makeFactory(FiniteAlphabet alfa)` Returns a factory for Patterns in the specified Alphabet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### compile

    public Pattern compile(String pattern)
                    throws RegexException,
                           IllegalAlphabetException

  Returns a Pattern object that applies the specified regex against SymbolLists in the Alphabet that this PatternFactory was defined against. The String returned by getName() is set to pattern.

  Throws:
    `RegexException`
    `IllegalAlphabetException`

### compile

    public Pattern compile(String pattern,
                           String label)
                    throws RegexException,
                           IllegalAlphabetException

  Returns a Pattern object that applies the specified regex against SymbolLists in the Alphabet that this PatternFactory was defined against.

  Parameters:
    `pattern` - regex pattern expressed as a String.
    `label` - A String label assigned to the Pattern object. Can be retrieved later with getName().
  Throws:
    `RegexException`
    `IllegalAlphabetException`

### charValue

    public char charValue(Symbol sym)
                   throws IllegalSymbolException

  Returns the character that represents the specified Symbol in the Alphabet that this PatternFactory was defined for.

  The character will be ASCII in Alphabets that define a Character tokenization. In Alphabets that don't a Unicode character in the private range is returned instead and this can be used to assemble the String that is the argument for the compile method.

  Throws:
    `IllegalSymbolException`

### makeFactory

    public static PatternFactory makeFactory(FiniteAlphabet alfa)

  Returns a factory for Patterns in the specified Alphabet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD